#ifndef ERRORS_H
#define ERRORS_H

namespace errors {
    
    static const char *list[] =
    {
        "No Error", // 0
        "There are no resources left here.", // 1
        "You don't have a resource miner here.", // 2
        "Invalid user ID.", // 3
        "Invalid resource ID.", // 4
        "Building too far from track.", // 5
        "You don't own this track.", // 6
        "You don't have enough money to do that.", // 7
        "You can't put a building here.", // 8
        "You don't own that!", // 9
        "Invalid building ID.", // 10
        "That username is taken.", // 11
        "This city has too many terminals.", // 12
        "Invalid terminal ID.", // 13
        "A track cannot be placed here.", // 14
        "Invalid track ID.", // 15
        "Building is not a minning building.", // 16
        "Invalid city ID.", // 17
        "This type of building is not allowed.", // 18
        "Usernames must contain only letters, numbers or underscores.", // 19
        "The track id connected to the building to be removed is invalid.", // 20
        "The track this building was connected to was not connected to this building!.", // 21
        "Connection error.", // 22
    };
}

#endif
