#ifndef TILEMAP_H
#define TILEMAP_H

#include "animation.h"

class Tilemap {
public:
    Tilemap();
    ~Tilemap();
    
    void draw();
    
    /// The camera's position information (center of the screen in world co-ords)
    int cam_x, cam_y;
    /// The current caret position, in tiles
    int caret_x, caret_y;
    /// The current caret size, in tiles
    int caret_w, caret_h;
    /// Color of the caret
    int caret_color;
    
    /// Various graphics
    animation grass, rails, town, resources, buildings, train;
};

#endif
