#ifndef TRACK_H
#define TRACK_H

#include <vector>

class Track {
public:
    Track();
    
    ~Track();
    
    void find_adjacent(std::vector<unsigned int>& adjacent);
    
    /// ID of player who owns this track
    unsigned int player;
    /// Location of this track
    int x, y;
    /// Directions this track heads
    /// 0x01 Up | 0x02 Down | 0x04 Left | 0x08 Right
    unsigned int directions;
    
    // A track piece may have two buildings attached to it
    unsigned int buildings[2];
};

#endif
