#ifndef SPLASHSCREEN_H
#define SPLASHSCREEN_H

#include "gui.h"
#include "animation.h"
#include "input.h"

class SplashScreen : public GuiState {
public:
    
    SplashScreen();
    
    virtual ~SplashScreen();
    
    // Draws the splash screen
    virtual void draw();
    
    // Timed callback.
    virtual Options think(Gui &caller);
    
private:
    
    Tint tint;
    float rotation;
    bool fadingIn;
    animation logo;
    Input input;
};


#endif
