#include "screenshot.h"
#include <cstdio>
#include <alleggl.h>
#include <allegro.h>

void screenshot()
{
    int i = 0;
    char filename[1024];
    
    allegro_gl_set_allegro_mode();
    
    BITMAP *bmp = create_sub_bitmap(screen, 0, 0, SCREEN_W, SCREEN_H);
    PALETTE pal;
    
    get_palette(pal);
    
    do {
        snprintf(filename, sizeof(filename), "screenshot%06d.pcx", i++);
        
    } while(!exists(filename));
    
    save_bitmap(filename, bmp, pal);
    
    destroy_bitmap(bmp);
    
    allegro_gl_unset_allegro_mode();
}
